
%define plugin	dvd
%define name	vdr-plugin-%plugin
%define version	0.3.6
%define betaver	b03
%define cvsrev	20090118
%define rel	5
%define release	0.%betaver.%cvsrev.%rel

Summary:	VDR plugin: turn VDR into an (almost) full featured DVD player
Name:		%name
Version:	%version
Release:	%mkrel %release
Group:		Video/Utilities
# GPLv2+ due to dvdspu.c, otherwise would be GPL+
License:	GPLv2+
URL:		http://sourceforge.net/projects/dvdplugin
Source:		vdr-%{plugin}-%{cvsrev}.tar.bz2
# from e-tobi debian repository:
Patch0:		11_allow-non-existing-dvd-drive.dpatch
Patch1:		12_dvd-fixed-german-spelling.dpatch
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	libdvdnav-devel liba52dec-devel
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This is the DVD plugin for the Video Disk Recorder (VDR).

%prep
%setup -q -n %{plugin}
%apply_patches
%vdr_plugin_prep
# script-without-shellbang
chmod -x README COPYING HISTORY CONTRIBUTORS

%vdr_plugin_params_begin %plugin
# DVD device
# default: /dev/dvd
var=DVD_DEVICE
param=--dvd=DVD_DEVICE
%vdr_plugin_params_end

%build
%vdr_plugin_build LDFLAGS="%vdr_plugin_ldflags"

%install
%vdr_plugin_install

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%{_bindir}/gpasswd -a vdr cdwriter >/dev/null

%files -f %plugin.vdr
%doc README COPYING HISTORY CONTRIBUTORS






%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.3.6-0.b03.20090118.5.mga3
+ Revision: 385253
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.3.6-0.b03.20090118.4.mga3
+ Revision: 325469
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.3.6-0.b03.20090118.3.mga2
+ Revision: 221040
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.3.6-0.b03.20090118.2.mga2
+ Revision: 214765
- rebuild for new VDR
- allow VDR to start without dvd device (allow-non-existing-dvd-drive.dpatch,
  from e-tobi)
- fix German spelling (dvd-fixed-german-spelling.dpatch, from e-tobi)

* Sat May 14 2011 anssi <anssi> 0.3.6-0.b03.20090118.1.mga1
+ Revision: 98317
- fix license tag
- new snapshot
- drop old workarounds
- drop old scripts
- drop now unneeded patch
- imported package vdr-plugin-dvd

